Toolkit (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest.build

## Class Toolkit

- java.lang.Object
- - com.ibm.streamsx.rest.build.Element
  - - com.ibm.streamsx.rest.build.Toolkit

-     public class Toolkit
      extends Element

  An object describing an IBM Streams Toolkit
  Since:
    1.13

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Toolkit.Dependency` A dependency of a toolkit on another toolkit.

    - ### Nested classes/interfaces inherited from class com.ibm.streamsx.rest.build.Element

      `Element.ElementArray<E extends Element>`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `delete()` Delete this toolkit in the build service.
    `java.util.List<Toolkit.Dependency>` | `getDependencies()` Gets a list of `dependencies` of this toolkit.
    `java.lang.String` | `getId()` Gets the id of this toolkit.
    `java.lang.String` | `getIndex()` Gets the index of this toolkit.
    `java.lang.String` | `getName()` Gets the name of this toolkit.
    `java.lang.String` | `getPath()` Gets the path to the toolkit on the build service.
    `java.lang.String` | `getRequiredProductVersion()` Gets the minimum version of IBM Streams required to use this toolkit.
    `java.lang.String` | `getResourceType()` Identifies the Build REST resource type.
    `java.lang.String` | `getVersion()` Gets the version of this toolkit.

    - ### Methods inherited from class com.ibm.streamsx.rest.build.Element

      `createList, refresh, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the id of this toolkit. The id is a unique identifier that can be used to get this toolkit using `BuildService.getToolkit(String)`.

    - #### getName

          public java.lang.String getName()

      Gets the name of this toolkit.

    - #### getPath

          public java.lang.String getPath()

      Gets the path to the toolkit on the build service.

    - #### getRequiredProductVersion

          public java.lang.String getRequiredProductVersion()

      Gets the minimum version of IBM Streams required to use this toolkit.

    - #### getResourceType

          public java.lang.String getResourceType()

      Identifies the Build REST resource type.
      Returns:
        "toolkit"

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version of this toolkit.

    - #### getIndex

          public java.lang.String getIndex()
                                    throws java.io.IOException

      Gets the index of this toolkit. This will be a string representation of an XML document.
      Throws:
        `java.io.IOException`

    - #### delete

          public boolean delete()
                         throws java.io.IOException

      Delete this toolkit in the build service. After deleting a toolkit, this `Toolkit` object remains valid, but calls to `getIndex()` will fail.
      Returns:
        true if the toolkit was deleted, and false if the toolkit was not found on the build service.
      Throws:
        `java.io.IOException`

    - #### getDependencies

          public java.util.List<Toolkit.Dependency> getDependencies()
                                                             throws java.lang.Exception

      Gets a list of `dependencies` of this toolkit. If this toolkit does not depend on any other tookit, the returned list will be empty.
      Throws:
        `java.lang.Exception`